Loading...
Searching...
No Matches
mbedtls_x509_crl_entry Struct Reference
X.509 module

`#include <x509_crl.h>`

Collaboration diagram for mbedtls_x509_crl_entry:
[legend]

## Data Fields

mbedtls_x509_buf | raw
mbedtls_x509_buf | serial
mbedtls_x509_time | revocation_date
mbedtls_x509_buf | entry_ext
struct mbedtls_x509_crl_entry * | next

## Detailed Description

Certificate revocation list entry. Contains the CA-specific serial numbers and revocation dates.

Some fields of this structure are publicly readable. Do not modify them except via Mbed TLS library functions: the effect of modifying those fields or the data that those fields points to is unspecified.

Definition at line 39 of file x509_crl.h.

## Field Documentation

## entry_ext

mbedtls_x509_buf mbedtls_x509_crl_entry::entry_ext

Direct access to the list of CRL entry extensions (an ASN.1 constructed sequence).

If there are no extensions, `entry_ext.len == 0` and `entry_ext.p == NULL`.

Definition at line 51 of file x509_crl.h.

## next

struct mbedtls_x509_crl_entry* mbedtls_x509_crl_entry::next

Next element in the linked list of entries. `NULL` indicates the end of the list. Do not modify this field directly.

Definition at line 56 of file x509_crl.h.

## raw

mbedtls_x509_buf mbedtls_x509_crl_entry::raw

Direct access to the whole entry inside the containing buffer.

Definition at line 41 of file x509_crl.h.

## revocation_date

mbedtls_x509_time mbedtls_x509_crl_entry::revocation_date

The revocation date of this entry.

Definition at line 45 of file x509_crl.h.

## serial

mbedtls_x509_buf mbedtls_x509_crl_entry::serial

The serial number of the revoked certificate.

Definition at line 43 of file x509_crl.h.

The documentation for this struct was generated from the following file:

- x509_crl.h